List expirations
curl --request GET \
--url https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"expirations": [
"25APR26",
"02MAY26",
"09MAY26",
"27JUN26"
],
"expirations_detail": [
{
"code": "17OCT26",
"iso": "2026-10-17",
"dte": 11.2,
"cutoff_utc": "2026-10-17T20:00:00Z",
"is_0dte": true
}
]
},
"meta": {
"timestamp": "2026-04-14T10:00:00+00:00",
"exchange": "all",
"coin": "BTC",
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}Discovery
List expirations
Returns sorted, non-expired option expirations for a given exchange and coin.
expirations keeps the DDMMMYY codes; expirations_detail adds the ISO date,
days to the cutoff, the cutoff instant and a 0DTE flag. The cutoff is 08:00 UTC for
crypto and 16:00 US Eastern for TradFi. Free: not counted against the quota.
GET
/
expirations
/
{exchange}
/
{coin}
List expirations
curl --request GET \
--url https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gammaflip.io/api/v1/expirations/{exchange}/{coin}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"expirations": [
"25APR26",
"02MAY26",
"09MAY26",
"27JUN26"
],
"expirations_detail": [
{
"code": "17OCT26",
"iso": "2026-10-17",
"dte": 11.2,
"cutoff_utc": "2026-10-17T20:00:00Z",
"is_0dte": true
}
]
},
"meta": {
"timestamp": "2026-04-14T10:00:00+00:00",
"exchange": "all",
"coin": "BTC",
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}{
"error": "invalid_exchange",
"message": "Exchange 'kraken' is not available.",
"current_tier": "trial",
"valid_exchanges": [
"deribit",
"bybit",
"okx",
"derive",
"combined"
],
"nearest_expirations": [
"2026-10-17",
"2026-10-19"
],
"valid_values": [
"full",
"levels"
],
"max_value": 50,
"max_window_days": 31,
"nearest_timestamps": [
"2026-10-05T20:15:00Z",
"2026-10-05T13:45:00Z"
],
"market": "tradfi",
"markets_in_plan": [
"<string>"
],
"supported_crypto": [
"BTC",
"ETH",
"HYPE",
"SOL",
"XRP"
],
"supported_tradfi": [
"QQQ",
"SPX",
"SPY"
],
"rate_limit": {
"limit": 500,
"remaining": 487,
"reset": "2026-04-15T00:00:00+00:00"
}
}Authorizations
API key prefixed with gex_sk_. Create one in your
account dashboard.
Path Parameters
Crypto: bybit, deribit, okx, derive, all / combined, or a +-joined
subset such as deribit+derive. TradFi tickers: tradfi (all and combined
are aliases). Use /exchanges for the live list.
Examples:
"all"
"deribit+derive"
"tradfi"
Symbol (case-insensitive), for example BTC or QQQ. Use /coins for the list.
Example:
"BTC"